%define majver %(echo %version | cut -d. -f1-2)

Name:          qt6-qt3d
Version:       6.9.1
Release:       1mamba
Summary:       Qt6 3D components
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.qt.io/
Source:        https://download.qt.io/official_releases/qt/%{majver}/%{version}/submodules/qt3d-everywhere-src-%{version}.tar.xz
Patch0:        qt6-qt3d-6.5.2-gcc-13.1.1.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libQt6Concurrent
BuildRequires: libQt6Core
BuildRequires: libQt6Gui
BuildRequires: libQt6Network
BuildRequires: libQt6OpenGL
BuildRequires: libgcc
BuildRequires: libglvnd-devel
BuildRequires: libstdc++6-devel
BuildRequires: libxkbcommon-devel
BuildRequires: libz-devel
BuildRequires: qt6-qtbase-devel
BuildRequires: qt6-qtdeclarative-devel
BuildRequires: qt6-qtshadertools-devel
## AUTOBUILDREQ-END
BuildRequires: qt6-qtdeclarative-devel >= %{version}

%description
Qt6 3D components.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This package contains libraries and header files for developing applications that use %{name}.


%prep
%setup -q -n qt3d-everywhere-src-%{version}
#-D -T
#:<< _EOF
%patch 0 -p1

%build
%cmake -d build

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_libdir}/libQt63DAnimation.so.*
%{_libdir}/libQt63DCore.so.*
%{_libdir}/libQt63DExtras.so.*
%{_libdir}/libQt63DInput.so.*
%{_libdir}/libQt63DLogic.so.*
%{_libdir}/libQt63DRender.so.*
%{_libdir}/libQt63DQuick.so.*
%{_libdir}/libQt63DQuickLogic.so.*
%{_libdir}/libQt63DQuickAnimation.so.*
%{_libdir}/libQt63DQuickExtras.so.*
%{_libdir}/libQt63DQuickInput.so.*
%{_libdir}/libQt63DQuickRender.so.*
%{_libdir}/libQt63DQuickScene2D.so.*
%{_libdir}/libQt63DQuickScene3D.so.*
%dir %{_libdir}/qt6/qml/Qt3D
%{_libdir}/qt6/qml/Qt3D/*
%dir %{_libdir}/qt6/qml/QtQuick/Scene2D
%{_libdir}/qt6/qml/QtQuick/Scene2D/*
%dir %{_libdir}/qt6/qml/QtQuick/Scene3D
%{_libdir}/qt6/qml/QtQuick/Scene3D/*
%dir %{_libdir}/qt6/plugins/geometryloaders
%{_libdir}/qt6/plugins/geometryloaders/*.so
%{_libdir}/qt6/plugins/renderers/lib*.so
%dir %{_libdir}/qt6/plugins/sceneparsers
%{_libdir}/qt6/plugins/renderplugins/lib*.so
%{_libdir}/qt6/plugins/sceneparsers/*.so
%{_libdir}/qt6/metatypes/qt63d*.json
%{_libdir}/qt6/modules/3D*.json
%{_qt6_archdatadir}/sbom/qt3d-%{version}.spdx
%doc LICENSES

%files devel
%defattr(-,root,root)
%dir %{_includedir}/qt6/Qt3DAnimation
%{_includedir}/qt6/Qt3DAnimation/*
%dir %{_includedir}/qt6/Qt3DCore
%{_includedir}/qt6/Qt3DCore/*
%dir %{_includedir}/qt6/Qt3DExtras
%{_includedir}/qt6/Qt3DExtras/*
%dir %{_includedir}/qt6/Qt3DInput
%{_includedir}/qt6/Qt3DInput/*
%dir %{_includedir}/qt6/Qt3DLogic
%{_includedir}/qt6/Qt3DLogic/*
%dir %{_includedir}/qt6/Qt3DRender
%{_includedir}/qt6/Qt3DRender/*
%dir %{_includedir}/qt6/Qt3DQuick
%{_includedir}/qt6/Qt3DQuick/*
%dir %{_includedir}/qt6/Qt3DQuickAnimation
%{_includedir}/qt6/Qt3DQuickAnimation/*
%dir %{_includedir}/qt6/Qt3DQuickExtras
%{_includedir}/qt6/Qt3DQuickExtras/*
%dir %{_includedir}/qt6/Qt3DQuickInput
%{_includedir}/qt6/Qt3DQuickInput/*
%dir %{_qt6_headerdir}/Qt3DQuickLogic
%{_qt6_headerdir}/Qt3DQuickLogic/*
%dir %{_includedir}/qt6/Qt3DQuickRender
%{_includedir}/qt6/Qt3DQuickRender/*
%dir %{_includedir}/qt6/Qt3DQuickScene2D
%{_includedir}/qt6/Qt3DQuickScene2D/*
%dir %{_qt6_headerdir}/Qt3DQuickScene3D
%{_qt6_headerdir}/Qt3DQuickScene3D/*
%{_libdir}/libQt63DAnimation.prl
%{_libdir}/libQt63DAnimation.so
%{_libdir}/libQt63DCore.prl
%{_libdir}/libQt63DCore.so
%{_libdir}/libQt63DExtras.prl
%{_libdir}/libQt63DExtras.so
%{_libdir}/libQt63DInput.prl
%{_libdir}/libQt63DInput.so
%{_libdir}/libQt63DLogic.prl
%{_libdir}/libQt63DLogic.so
%{_libdir}/libQt63DRender.prl
%{_libdir}/libQt63DRender.so
%{_libdir}/libQt63DQuick.prl
%{_libdir}/libQt63DQuick.so
%{_libdir}/libQt63DQuickAnimation.prl
%{_libdir}/libQt63DQuickAnimation.so
%{_libdir}/libQt63DQuickExtras.prl
%{_libdir}/libQt63DQuickExtras.so
%{_libdir}/libQt63DQuickInput.prl
%{_libdir}/libQt63DQuickInput.so
%{_libdir}/libQt63DQuickLogic.prl
%{_libdir}/libQt63DQuickLogic.so
%{_libdir}/libQt63DQuickRender.prl
%{_libdir}/libQt63DQuickRender.so
%{_libdir}/libQt63DQuickScene2D.prl
%{_libdir}/libQt63DQuickScene2D.so
%{_libdir}/libQt63DQuickScene3D.prl
%{_libdir}/libQt63DQuickScene3D.so
%{_libdir}/qt6/mkspecs/modules/qt_lib_3d*.pri
%{_libdir}/cmake/Qt6/FindWrapQt3DAssimp.cmake
%{_libdir}/cmake/Qt6Qml/QmlPlugins/Qt63DQuickLogicplugin*.cmake
%dir %{_libdir}/cmake/Qt63DAnimation
%{_libdir}/cmake/Qt63DAnimation/Qt63DAnimation*.cmake
%dir %{_libdir}/cmake/Qt63DCore
%{_libdir}/cmake/Qt63DCore/Qt63DCore*.cmake
%dir %{_libdir}/cmake/Qt63DExtras
%{_libdir}/cmake/Qt63DExtras/Qt63DExtras*.cmake
%dir %{_libdir}/cmake/Qt63DInput
%{_libdir}/cmake/Qt63DInput/Qt63DInput*.cmake
%dir %{_libdir}/cmake/Qt63DLogic
%{_libdir}/cmake/Qt63DLogic/Qt63DLogic*.cmake
%dir %{_libdir}/cmake/Qt63DRender
%{_libdir}/cmake/Qt63DRender/Qt6*.cmake
%{_libdir}/cmake/Qt6BuildInternals/StandaloneTests/Qt3DTestsConfig.cmake
%dir %{_libdir}/cmake/Qt63DQuick
%{_libdir}/cmake/Qt63DQuick/Qt63DQuick*.cmake
%dir %{_libdir}/cmake/Qt63DQuickAnimation
%{_libdir}/cmake/Qt63DQuickAnimation/Qt63DQuickAnimation*.cmake
%dir %{_libdir}/cmake/Qt63DQuickExtras
%{_libdir}/cmake/Qt63DQuickExtras/Qt63DQuickExtras*.cmake
%dir %{_libdir}/cmake/Qt63DQuickInput
%{_libdir}/cmake/Qt63DQuickInput/Qt63DQuickInput*.cmake
%dir %{_libdir}/cmake/Qt63DQuickLogic/
%{_libdir}/cmake/Qt63DQuickLogic/*.cmake
%dir %{_libdir}/cmake/Qt63DQuickLogicPrivate/
%{_libdir}/cmake/Qt63DQuickLogicPrivate/*.cmake
%dir %{_libdir}/cmake/Qt63DQuickRender
%{_libdir}/cmake/Qt63DQuickRender/Qt63DQuickRender*.cmake
%dir %{_libdir}/cmake/Qt63DQuickScene2D
%{_libdir}/cmake/Qt63DQuickScene2D/Qt63DQuickScene2D*.cmake
%dir %{_libdir}/cmake/Qt63DQuickScene3D
%{_libdir}/cmake/Qt63DQuickScene3D/Qt63DQuickScene3D*.cmake
%dir %{_libdir}/cmake/Qt6Qml/QmlPlugins
%{_libdir}/cmake/Qt6Qml/QmlPlugins/Qt6qtquickscene*.cmake
%{_libdir}/cmake/Qt6Qml/QmlPlugins/Qt6quick3d*.cmake
%dir %{_libdir}/cmake/Qt63DAnimationPrivate
%{_libdir}/cmake/Qt63DAnimationPrivate/Qt63DAnimationPrivate*.cmake
%dir %{_libdir}/cmake/Qt63DCorePrivate
%{_libdir}/cmake/Qt63DCorePrivate/Qt63DCorePrivate*.cmake
%dir %{_libdir}/cmake/Qt63DExtrasPrivate
%{_libdir}/cmake/Qt63DExtrasPrivate/Qt63DExtrasPrivate*.cmake
%dir %{_libdir}/cmake/Qt63DInputPrivate
%{_libdir}/cmake/Qt63DInputPrivate/Qt63DInputPrivate*.cmake
%dir %{_libdir}/cmake/Qt63DLogicPrivate
%{_libdir}/cmake/Qt63DLogicPrivate/Qt63DLogicPrivate*.cmake
%dir %{_libdir}/cmake/Qt63DQuickAnimationPrivate
%{_libdir}/cmake/Qt63DQuickAnimationPrivate/Qt63DQuickAnimationPrivate*.cmake
%dir %{_libdir}/cmake/Qt63DQuickExtrasPrivate
%{_libdir}/cmake/Qt63DQuickExtrasPrivate/Qt63DQuickExtrasPrivate*.cmake
%dir %{_libdir}/cmake/Qt63DQuickInputPrivate
%{_libdir}/cmake/Qt63DQuickInputPrivate/Qt63DQuickInputPrivate*.cmake
%dir %{_libdir}/cmake/Qt63DQuickPrivate
%{_libdir}/cmake/Qt63DQuickPrivate/Qt63DQuickPrivate*.cmake
%dir %{_libdir}/cmake/Qt63DQuickRenderPrivate
%{_libdir}/cmake/Qt63DQuickRenderPrivate/Qt63DQuickRenderPrivate*.cmake
%dir %{_libdir}/cmake/Qt63DQuickScene2DPrivate
%{_libdir}/cmake/Qt63DQuickScene2DPrivate/Qt63DQuickScene2DPrivate*.cmake
%dir %{_libdir}/cmake/Qt63DQuickScene3DPrivate
%{_libdir}/cmake/Qt63DQuickScene3DPrivate/Qt63DQuickScene3DPrivate*.cmake
%dir %{_libdir}/cmake/Qt63DRenderPrivate
%{_libdir}/cmake/Qt63DRenderPrivate/Qt63DRenderPrivate*.cmake
%{_libdir}/pkgconfig/Qt63D*.pc
%doc README

%changelog
* Mon Jun 09 2025 Automatic Build System <autodist@openmamba.org> 6.9.1-1mamba
- automatic version update by autodist

* Mon Apr 07 2025 Silvan Calarco <silvan.calarco@mambasoft.it> 6.9.0-1mamba
- update to 6.9.0

* Sat Mar 29 2025 Automatic Build System <autodist@openmamba.org> 6.8.3-1mamba
- automatic version update by autodist

* Wed Feb 05 2025 Automatic Build System <autodist@openmamba.org> 6.8.2-1mamba
- automatic version update by autodist

* Sat Dec 07 2024 Automatic Build System <autodist@openmamba.org> 6.8.1-1mamba
- automatic version update by autodist

* Sat Oct 19 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 6.8.0-1mamba
- update to 6.8.0

* Wed Oct 09 2024 Automatic Build System <autodist@openmamba.org> 6.7.3-1mamba
- automatic version update by autodist

* Fri Jun 21 2024 Automatic Build System <autodist@openmamba.org> 6.7.2-1mamba
- automatic version update by autodist

* Sun Jun 02 2024 Automatic Build System <autodist@openmamba.org> 6.7.1-1mamba
- automatic version update by autodist

* Tue Apr 16 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 6.7.0-1mamba
- update to 6.7.0

* Sat Mar 30 2024 Automatic Build System <autodist@openmamba.org> 6.6.3-1mamba
- automatic version update by autodist

* Fri Feb 16 2024 Automatic Build System <autodist@openmamba.org> 6.6.2-1mamba
- automatic version update by autodist

* Wed Nov 29 2023 Automatic Build System <autodist@mambasoft.it> 6.6.1-1mamba
- automatic version update by autodist

* Tue Oct 17 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 6.6.0-1mamba
- update to 6.6.0

* Sat Sep 30 2023 Automatic Build System <autodist@mambasoft.it> 6.5.3-1mamba
- automatic version update by autodist

* Thu Jul 27 2023 Automatic Build System <autodist@mambasoft.it> 6.5.2-1mamba
- automatic version update by autodist

* Mon May 29 2023 Automatic Build System <autodist@mambasoft.it> 6.5.1-1mamba
- automatic version update by autodist

* Mon Apr 17 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 6.5.0-1mamba
- update to 6.5.0

* Fri Mar 17 2023 Automatic Build System <autodist@mambasoft.it> 6.4.3-1mamba
- automatic version update by autodist

* Sun Jan 08 2023 Automatic Build System <autodist@mambasoft.it> 6.4.2-1mamba
- automatic version update by autodist

* Tue Nov 22 2022 Automatic Build System <autodist@mambasoft.it> 6.4.1-1mamba
- automatic version update by autodist

* Fri Oct 07 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 6.4.0-1mamba
- update to 6.4.0

* Mon Sep 12 2022 Automatic Build System <autodist@mambasoft.it> 6.3.2-1mamba
- automatic version update by autodist

* Sat Jun 18 2022 Automatic Build System <autodist@mambasoft.it> 6.3.1-1mamba
- automatic version update by autodist

* Thu Apr 14 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 6.3.0-1mamba
- update to 6.3.0

* Mon Mar 21 2022 Automatic Build System <autodist@mambasoft.it> 6.2.4-1mamba
- automatic version update by autodist

* Sun Jan 30 2022 Automatic Build System <autodist@mambasoft.it> 6.2.3-1mamba
- automatic version update by autodist

* Fri Dec 10 2021 Automatic Build System <autodist@mambasoft.it> 6.2.2-1mamba
- automatic version update by autodist

* Tue Nov 30 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 6.2.1-1mamba
- update to 6.2.1

* Sun Nov 14 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 5.15.2-3mamba
- move shared library incorrectly put in -devel

* Fri Nov 05 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 5.15.2-2mamba
- bump epoch to allow update of subpackage from monolithic build

* Fri Nov 05 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 5.15.2-1mamba
- package created using the webbuild interface
